#include <bits/stdc++.h>
using namespace std;
int main(){
    vector<int> c;
    vector<int> v;
    int a,b,n,d;
    cin >> a;
    for(int i = 0; i < a; i++){
            cin >> n;
        for(int j = 0; j < n; j++){
            cin >> b;
            cin >> d;
    }
    }
    for(int k = 0; k < n; k++){
        cout << "NE" <<endl;
    }
}